Api referenceFindings
Create Finding Comment
Reference for Create Finding Comment in the Hyperoru v1 API, including request, response, and authentication details.
POST
/v1/workspaces/{workspace_id}/findings/{finding_id}/commentsCreate Finding Comment. Returns a typed response and a request ID for operational support.
hyperoru_session<token>
Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.
In: cookie
Path Parameters
workspace_id*Workspace Id
Format
uuidfinding_id*Finding Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/findings/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{
"author_id": "78424c75-5c41-4b25-9735-3c9f7d05c59e",
"body": "string",
"created_at": "2019-08-24T14:15:22Z",
"finding_id": "feebf65a-2eaa-4fae-aab2-772450efdffe",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"mentions": [
"string"
],
"parent_comment_id": "42e5891d-0323-4706-8826-2064102ce531"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}